package com.arms.api.newsletter.model.dto;

import com.arms.api.newsletter.model.entity.NewsletterEntity;
import com.arms.egovframework.javaservice.esframework.model.dto.request.SearchRequestDTO;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class NewsletterDTO extends SearchRequestDTO {

    private String id;
    private String contents;

    public NewsletterEntity createEntity() {
        return NewsletterEntity.builder()
                .id(this.id)
                .contents(this.contents)
                .build();
    }

}
